Bug 840629 - rhq-cli does not open files relative to the current directory.
rhq-cli does not open files relative to the current directory.
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: CLI (Show other bugs)
JON 3.1.1
All All
unspecified Severity low
: ER01
: JON 3.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 14:05 EDT by wertnick
Modified: 2014-12-11 09:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:03:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wertnick 2012-07-16 14:05:32 EDT
Description of problem: rhq-cli does not read files from the current directory


Version-Release number of selected component (if applicable):


How reproducible: Completely


Steps to Reproduce:
1. rhq-cli -f script.js
2. make sure script.js is not in CLI_HOME
3. Witness rhq-cli NOT opening the script.js file.
  
Actual results:

It can't find the file.

Expected results:

It should find the file. Maybe it should check relative to the current directory, THEN go relative to the CLI_HOME.

Additional info:

I did not figure out that scripts are supposed to be in CLI_HOME without assistance. Please at least update the rhq-cli tutorial to include this in bold.
Comment 1 Heiko W. Rupp 2013-08-12 07:39:57 EDT
Lukas, can you please investigate the state of this one?
Comment 3 Lukas Krejci 2014-06-09 07:32:52 EDT
This has been implemented in RHQ by BZ 959603 and is included in RHQ 4.10.
Comment 4 Jay Shaughnessy 2014-08-25 16:13:20 EDT
That means it should be in 3.3 already. Setting to ON_QA for ER01.

Note You need to log in before you can comment on or make changes to this bug.